@font-face{
    font-family: 'Roboto';
    src: url('../fonts/Roboto-Regular.ttf') format('truetype');
    font-weight: normal;
}

@font-face{
    font-family: 'Roboto';
    src: url('../fonts/Roboto-Bold.ttf') format('truetype');
    font-weight: bold;
}

@font-face{
    font-family: 'RobotoSlab';
    src: url('../fonts/RobotoSlab-Light.ttf') format('truetype');
    font-weight: lighter;
}

@font-face{
    font-family: 'RobotoSlab';
    src: url('../fonts/RobotoSlab-Bold.ttf') format('truetype');
    font-weight: bold;
}

/*
---------------
General styles
---------------
*/

*, *:focus, a, button:focus {
    outline: none;
}

html {
	scroll-behavior: smooth;
}

body {
    /* overflow-x: hidden; */
    font-family: Roboto, RobotoSlap, sans-serif;
    font-size: 14px;
    font-weight: 400;
    color: #000;
    scroll-behavior: smooth;
    position: relative;
}

section {
    position: relative;
}

img {
    max-width: 100%;
}

a,
a:hover {
    text-decoration: none;
    color: #fff;
}

hr {
    border-color: #000;
    opacity: 0.4;
    border-width: 2px;
    padding-bottom: 30px;
    margin: 0 18vw;
}

h1,
h2,
h3,
h4,
h5,
h6 {
    font-weight: 300;
    color: #022601;
}

.font-green {
    color: #022601;
}

a.anchor {
    display: block;
    position: relative;
    top: -80px;
    visibility: hidden;
}

a.anchor2 {
    display: block;
    position: relative;
    top: 100px;
    visibility: hidden;
}

/*
---------------
Header
---------------
*/

header {
    position: fixed;
    top: 0;
    width: 100%;
    z-index: 10;
    background-color: #022601;
    font-family: Roboto, sans-serif;
    color: #fff;
}

.header-logo {
    height: 30px;
}

.header-menu ul {
    margin: 0 0;
}

.header-menu li:hover, .header-menu li.active {
    color: #fff;
    border-bottom: 2px solid #fff;
}

.header-menu li {
    color: #fff;
    font-size: 14px;
    transition: border 0.4s;
    border-bottom: 2px solid #022601;
    list-style: none;
    display: inline-block;
}

.header-menu li+li {
    margin-left: 50px;
}

header a {
    display: inline-block;
    text-decoration: none;
    color: #fff;
    padding: 20px 0;
}

.navbar-toggler i {
    color: #fff;
}

/*
---------------
Titles
---------------
*/

.title-lg {
    font-size: 48px;
    font-weight: bold;
    font-family: RobotoSlab;
}
.title-md {
    font-size: 22px;
    font-weight: bold;
}
.title-sm {
    font-size: 24px;
    font-family: RobotoSlab;
    font-weight: bold;
}
.craft-and-metal {
    font-size: 2rem;
    margin-top: 1em;
    font-family: RobotoSlab;
    font-weight: lighter;
}

/*
---------------
Home
---------------
*/

.home-hero {
    height: 100vh;
    font-family: Roboto, sans-serif;
}

.home-hero .swiper-container {
    height: 100%;
    width: 100%;
}

.home-hero .swiper-slide {
    background-repeat: no-repeat;
    background-size: cover;
    background-position: center;
    text-align: center;
}

.bg-overlay {
    height: 100%;
    width: 100%;

    /* Center slide text vertically */
    display: -webkit-box;
    display: -ms-flexbox;
    display: -webkit-flex;
    display: flex;
    flex-direction: column;
    -webkit-box-pack: center;
    -ms-flex-pack: center;
    -webkit-justify-content: center;
    justify-content: center;
    -webkit-box-align: center;
    -ms-flex-align: center;
    -webkit-align-items: center;
    align-items: center;
}

.home-hero .bg-overlay {
    background-color: rgba(0, 0, 0, 0.15);
}

.home-hero .bg-overlay img{
    width: 40%;
}
.home-hero .craft-and-metal {
    width: 40%;
    color: #ffff;
}

.hero-swiper-button-next, .hero-swiper-button-prev {
    position: absolute;
    top: 50%;
    width: calc(var(--swiper-navigation-size)/ 44 * 27);
    height: var(--swiper-navigation-size);
    margin-top: calc(-1 * var(--swiper-navigation-size)/ 2);
    z-index: 10;
    cursor: pointer;
    display: flex;
    align-items: center;
    justify-content: center;
}

.hero-swiper-button-next {
    left: auto;
    right: 20px;
}
.hero-swiper-button-prev {
    left: 20px;
    right: auto;
}

.next-section {
    position: absolute;
    top: 90%;
    z-index: 10;
    cursor: pointer;
    left: 50%;
    transform: translate(-50%, 0);
    text-align: center;
}

.home-aboutus .container {
    margin: 4em auto;
}

.home-aboutus .craft-and-metal {
    color: #022601;
}

.home-aboutus p {
    font-size: 24px;
    font-family: RobotoSlab;
    font-weight: lighter;
}

.home-services {
    background-position: center;
    background-repeat: no-repeat;
    background-size: cover;
}

.home-services .bg-overlay {
    padding: 8em 0 4em 0;
    background-color: rgba(0,0,0,0.4);
}

.parallax {
    /* Create the parallax scrolling effect */
    background-attachment: fixed;
  }

.service-1, .service-2,  .service-3 {
    height: 350px;
    -webkit-backdrop-filter: blur(3px);
    backdrop-filter: blur(3px);
    background-blend-mode: color;
}

.home-services img {
    height: 50px;
}

.home-services h2 {
    color: #fff;
    font-weight: bold;
}

.service-1 {
    background-color: rgba(197,202,200,0.5);
}

.service-2 {
    background-color: rgba(166,156,138,0.5);
}

.service-3 {
    background-color: rgba(57,86,89,0.5);
}

.service-2 h3, .service-2 p, .service-3 h3, .service-3 p  {
    color: #fff;
}

.jump-to-contact a {
    color: #a69c8a;
    font-weight: bold;
}

.home-portfolio {
    background-color: #395659;
    color: #a69c8a;
}

.home-portfolio h2 {
    margin-top: 2.5em;
    font-size: 64px;
    font-family: RobotoSlab;
    font-weight: lighter;
    color: #a69c8a;
}

.portfolio-text {
    margin-left: 4rem;
    width: 50%;
 }

.p0 {
    padding: 0;
}

.home-portfolio .portfolio-swiper {
    width: 100%;
    height: 75%;
}

.home-portfolio .swiper-slide {
    background-position: center;
    background-repeat: no-repeat;
    background-size: cover;
}

.swiper-pagination-bullet-active {
    background-color: #395659 !important;
}

.slide-footage {
    position: absolute;
    bottom: 0;
    padding: 20px;
    width: 100%;
    background-color: rgba(0,0,0,0.2);
}

.slide-footage span {
    color: #fff;
    font-weight: 500;
}

.slide-footage a {
    position: absolute;
    right: 2%;
    top: 50%;
    transform: translate(0,-50%);
}

.slide-footage img{
    height: 30px;
}

.portfolio-swiper-button-fullscreen {
    display: block;
    position: absolute;
    top: 0;
    right: 0;
    z-index: 10;
    cursor: pointer;
    background: rgba(0,0,0,0.2);
    padding: 5px;
}

.portfolio-swiper-button-next, .portfolio-swiper-button-prev {
    position: absolute;
    top: 50%;
    width: calc(var(--swiper-navigation-size)/ 44 * 27);
    height: var(--swiper-navigation-size);
    margin-top: calc(-1 * var(--swiper-navigation-size)/ 2);
    z-index: 10;
    cursor: pointer;
    display: flex;
    align-items: center;
    justify-content: center;
}

.portfolio-swiper-button-next {
    left: auto;
    right: 20px;
}
.portfolio-swiper-button-prev {
    left: 20px;
    right: auto;
}

.close-button {
    display: none;
    height: 45px;
    width: 45px;
    color: #fff;
    position: fixed;
    top: 80px;
    right: 15px;
    font-size: 32px;
    text-align: center;
    cursor: pointer;
    z-index: 9999;
    opacity: .75;
 }

 .close-button:before {
    content: '×';
 }

 .close-button:hover,
 .close-button:active {
    opacity: 1;
 }

 .fullscreen {
    position: fixed !important;
    top: 0;
    left: 0;
    width: 100%;
    /* height: 100% !important; */
    z-index: 999;
    background-color: #000;
    overflow-y: hidden;
 }
 .fullscreen-thumbs {
    position: fixed !important;
    bottom: 0;
    left: 0;
    width: 100%;
    /* height: 100% !important; */
    z-index: 999;
    background-color: #000;
    overflow-y: hidden;
 }

 .fullscreen .swiper-slide {
    cursor: default;
    background-size: contain;
 }

 .fullscreen .close-button {
    display: block;
 }

 .fullscreen .portfolio-swiper-button-fullscreen {
    display: none;
 }

 .fullscreen .swiper-wrapper {
    background-color: #000;
    height: 100%;
    width: auto;
 }

.home-portfolio .portfolio-thumbs {
    padding: 1% 0;
    width: 100%;
    height: 25%;
}

.portfolio-thumbs .swiper-slide {
    width: 25%;
    height: 100%;
    opacity: 0.4;
    background-size: cover;
    cursor: pointer;
 }

 .portfolio-thumbs .swiper-slide-thumb-active {
    opacity: 1;
  }

.home-values {
    padding: 20em 0 24em 0;
    position: relative;
}

.home-values h2 {
    color: #022601;
    font-weight: bold;
    margin-bottom: 14rem;
}

.home-values #img1, .home-values #img2, .home-values #img3 {
    background-repeat: no-repeat;
    background-size: cover;
    background-position: center;
}


.home-values #img1 {
    position: absolute;
    top: 10%;
    left: 0%;
    width: 43%;
    z-index: -1;
    height: 500px;
    opacity: 0.9;
}

.home-values #img2 {
    position: absolute;
    bottom: 39%;
    left: 66%; /* calc(50% + 570px) - width; width = calc(570px - 16%)*/
    width: calc(570px - 16%); /* 570px = img3 width/2*/
    height: 200px;
    z-index: -1;
    opacity: 0.9;
}

.home-values #img3 {
    position: absolute;
    bottom: -10%  ;
    left: calc(50% - 570px); /* 50% - width/2; width = 90%*/
    /* transform: translate(-50%,0); */
    width: 90%;
    max-width: 1140px;
    height:400px;
    z-index: 2;
    background-position: bottom;

}

.home-values #img3 img {
    width: 100%;
}

.home-whyus {
    background-color: #c5cac8;
    color: #022601;
    padding-bottom: 5em;
    position: relative;
}

.home-whyus h2 {
    margin-top: 15rem;
    color: #022601;
    font-weight: bold;
}
.home-whyus .craft-and-metal {
    margin-bottom: 8rem;
}

.home-whyus .float-img {
    position: absolute;
    bottom: -10%;
    right: 0;
    height: 480px;
    width: 50%;
    z-index: 2;
    /* background-image: url('../img/welding.png'); */
    background-repeat: no-repeat;
    background-size: cover;
    background-position: center;
    /* box-shadow: 30px 50px 20px #111; */
}

.home-testimonials .swiper-container {
    height: 100%;
    width: 100%;
}

.home-testimonials .swiper-slide {
    text-align: center;
    padding: 10em 0 8em 0;
}

.testimonials {
    color: #a69c8a;
    font-size: 18px;
    font-family: RobotoSlab;
    background-color: #022601;
}

.testimonials.swiper-container-horizontal > .swiper-pagination-bullets, .swiper-pagination-custom, .swiper-pagination-fraction {
    bottom: 3em;
}

.testimonials img {
    height: 100px;
    margin-bottom: 4em;
}

.testimonials p {
    margin-bottom: 3em;
}

.testimonials h3 {
    color: #c5cac8;
    font-size: 28px;
}

.testimonials h4 {
    color: #c5cac8;
    font-size: 12px;
    font-weight: bold;
}

.home-contact {
    background-image:url("../img/contact-bg.png");
    background-position: center;
    background-repeat: no-repeat;
    background-size: cover;
    color: #fff;
    font-family: Roboto;
    font-size: 24px;
}

.home-contact .bg-overlay {
    padding: 12em 0 10em 0;
    background-color: rgba(166,156,138, 0.15);
}

.home-contact .title-lg {
    color: #fff;
}

.home-contact img, .home-contact svg {
    width: 46px;
}

.contact-row {
    height: 150px;
}

.border-left {
    border-left: solid 1px #fff;
}

.f-bold{
    font-weight: bold;
}

.footer {
    font-size: 12px;
    position: absolute;
    bottom: 10px;
    right: 10px;
}

/*
---------------
Extra large
---------------
*/

@media (max-width: 1199.97px) {
    .home-values #img3 {
        left: 5%;
    }

    .portfolio-text {
        margin-left: 3rem;
        width: 80%;
    }

}

/*
---------------
Large
---------------
*/

@media(max-width: 991.97px) {

    /*
    ---------------
    General
    ---------------
    */

    a.anchor {
        top: -58px;
    }

    /*
    ---------------
    Header
    ---------------
    */

    .header-menu li+li {
        margin-left: 0;
    }

    .header-menu li, .header-menu li:hover {
        border-bottom: none;
    }

    /*
    ---------------
    Titles
    ---------------
    */

    .title-sm {
        font-size: 20px;
    }

    /*
    ---------------
    Home
    ---------------
    */

    .home-hero .bg-overlay img{
        width: 60%;
    }

    .home-aboutus p {
        font-size: 18px;
    }

    .service-1, .service-2, .service-3 {
        height: 450px;
    }

    .home-portfolio h2 {
        margin-top: 2em;
        font-size: 48px;
    }

    .home-values {
        padding: 16em 0 16em 0;
    }

    .home-values h2 {
        margin-bottom: 8rem;
    }

    .home-values #img1 {
        width: 40%;
        height: 300px;
    }

    .home-values #img2 {
        bottom: 39%;
        right: 5%;
        left: unset;
        width: 25%;
        height: 150px;
    }

    .home-values #img3 {
        height: 300px;
    }

    .home-whyus {
        padding-bottom: 0;
    }

    .home-whyus .craft-and-metal {
        margin-bottom: 4rem;
    }

    .home-whyus h2 {
        margin-top: 10rem;
    }

    .home-whyus .float-img {
        bottom: -5%;
    }

    .home-contact {
        font-size: 16px;
    }
}

/*
---------------
Small
---------------
*/

@media(max-width: 767.97px) {

    /*
    ---------------
    General
    ---------------
    */

    a.anchor2 {
        top: -58px;
    }

    /*
    ---------------
    Titles
    ---------------
    */

    .title-lg {
        font-size: 36px;
    }

    /*
    ---------------
    Home
    ---------------
    */

    .home-hero .bg-overlay img {
        width: 90%;
    }

    .home-hero .craft-and-metal {
        width: 90%
    }

    .hero-swiper-button-next, .hero-swiper-button-prev, .next-section {
        display: none;
    }

    .service-1, .service-2, .service-3 {
        height: 350px;
    }

    .home-portfolio .swiper-container {
        height: 100vh;
    }

    .portfolio-swiper-button-next, .portfolio-swiper-button-prev, .portfolio-swiper-button-fullscreen {
        display: none;
    }

    .home-values {
        padding: 4em 0;
    }

    .home-values h2 {
        margin-bottom: 1rem;
    }

    .home-whyus h2 {
        margin-top: 6rem;
    }

    .testimonials img {
        height: 70px;
        margin-bottom: 2em;
    }

    .home-testimonials .swiper-slide {
        padding: 6em 0 6em 0;
    }

    .testimonials p {
        margin-bottom: 1em;
    }

    .home-contact .bg-overlay {
        padding: 9em 0 10em 0;
    }
}